Package com.treemap.treeplot

# Class DefaultTreePlotSettings<Color,Font>

java.lang.Object
com.treemap.treeplot.AbstractTreePlotSettings<Color,Font>
com.treemap.treeplot.DefaultTreePlotSettings<Color,Font>

All Implemented Interfaces:
  `PropertyChange`, `TreePlotSettings<Color,Font>`

public class DefaultTreePlotSettings<Color,Font> extends AbstractTreePlotSettings<Color,Font>
Default implementation of the TreeMapSettings interface.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MutableBoundedInterval`
  `bubbleSize`
  `protected final MutableBoundedInterval`
  `gridThickness`
  `protected final TreeMapModel`
  `model`

  ### Fields inherited from interface com.treemap.treeplot.TreePlotSettings

  `PROPERTY_COLOR_FIELD, PROPERTY_DEPTH, PROPERTY_GROUP_BY_FIELD, PROPERTY_HIDE_FILTER_RESULTS, PROPERTY_HIDE_SEARCH_RESULTS, PROPERTY_PROBING_COLOR, PROPERTY_RENDERING, PROPERTY_SELECTION_COLOR, PROPERTY_SIZE_FIELD, PROPERTY_TOOLTIP_BACKGROUND, PROPERTY_TOOLTIP_FIELD, PROPERTY_TREEPLOT_BACKGROUND_COLOR, PROPERTY_TREEPLOT_BUBBLE_SIZE, PROPERTY_TREEPLOT_GRID_COLOR, PROPERTY_TREEPLOT_GRID_THICKNESS, PROPERTY_TREEPLOT_GROUPBY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreePlotSettings(TreeMapModel model, com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.igraphics.CPColor<Color>`
  `getBackground()`
  Returns the backgroun color to use for drawing the treeplot.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getBackgroundProperty()`
  `MutableBoundedInterval`
  `getBubbleSizeInterval()`
  `TreeMapField`
  `getColorTreeMapField()`
  Gets the model used to hold the field used to represent the color.
  `TreeMapFieldSettings<Color,Font>`
  `getDefaultFieldSettings()`
  `Depth`
  `getDepth()`
  Returns the depth to use to lay out the treemap.
  `TreeMapFieldSettings<Color,Font>`
  `getFieldSettings(TreeMapField field)`
  `com.macrofocus.igraphics.CPColor<Color>`
  `getGridColor()`
  Returns the color to use for drawing the grid.
  `MutableProperty<com.macrofocus.igraphics.CPColor<Color>>`
  `getGridColorProperty()`
  `Double`
  `getGridThickness()`
  Returns the thickness used for drawing the grid.
  `MutableBoundedInterval`
  `getGridThicknessInterval()`
  `Boolean`
  `getGroupBy()`
  Returns whether the groups should be displayed.
  `TreeMapField[]`
  `getGroupByTreeMapFields()`
  Gets the model used to hold the list of fields to be use for grouping.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getProbingColor()`
  Returns the color to use for drawing the borders.
  `Rendering`
  `getRendering()`
  Returns the rendering scheme to use to draw the treemap.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getSelectionColor()`
  Returns the color to use for drawing the borders.
  `boolean`
  `getShowPopup(TreeMapField field)`
  Tells whether the specified field should be shown in the popup.
  `TreeMapField`
  `getSizeTreeMapField()`
  Gets the model used to hold the field used to represent the size.
  `com.macrofocus.igraphics.CPColor<Color>`
  `getTooltipBackground()`
  Returns the background color to use for drawing the tooltips.
  `TreeMapField[]`
  `getToolTipTreeMapFields()`
  Gets the model used to hold the list of fields to be use by the tooltip.
  `Object`
  `getValue(String key)`
  Gets the value of the specified property.
  `MutableProperty<Boolean>`
  `groupByProperty()`
  `Boolean`
  `isHideFilterResults()`
  Gets the model used to indicate whether filtered nodes should be hidden.
  `Boolean`
  `isHideSearchResults()`
  Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
  `void`
  `resetToDefaults()`
  `void`
  `setBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the treeplot.
  `void`
  `setColor(int column)`
  Defines the field to use for coloring.
  `void`
  `setColorByName(String columnName)`
  Defines the field to use for coloring.
  `void`
  `setColorTreeMapField(TreeMapField field)`
  `void`
  `setDepth(Depth depth)`
  Defines the depth to use to lay out the treemap.
  `void`
  `setGridColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the grid.
  `void`
  `setGridThickness(Double value)`
  Sets the thickness used for drawing the grid.
  `void`
  `setGroupBy(int... columns)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupBy(Boolean groupBy)`
  Sets whether the groups should be displayed.
  `void`
  `setGroupByByNames(String... columnNames)`
  Defines the fields to be use for grouping.
  `void`
  `setGroupByTreeMapFields(TreeMapField[] fields)`
  `void`
  `setHideFilterResults(Boolean hideFilterResults)`
  `void`
  `setHideSearchResults(Boolean hideSearchResults)`
  `void`
  `setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setRendering(Rendering rendering)`
  Defines the rendering scheme to use to draw the treemap.
  `void`
  `setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the color to use for drawing the borders.
  `void`
  `setShowPopup(TreeMapField field, boolean show)`
  Sets whether the specified field should be displayed or no in the popup.
  `void`
  `setSize(int column)`
  Defines the field to use to represent the size.
  `void`
  `setSizeByName(String columnName)`
  Defines the field to use to represent the size.
  `void`
  `setSizeTreeMapField(TreeMapField field)`
  `void`
  `setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)`
  Sets the background color to use for drawing the tooltips.
  `void`
  `setToolTipTreeMapFields(TreeMapField[] fields)`

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlotSettings

  `addPropertyChangeListener, addPropertyChangeListener, addTreeMapSettingsListener, firePropertyChange, firePropertyChange, firePropertyChange, getPropertyChangeListeners, getPropertyChangeListeners, notifySettingsChanged, removePropertyChangeListener, removePropertyChangeListener, removeTreeMapSettingsListener, removeTreeMapSettingsListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### model

    protected final TreeMapModel model

  - ### gridThickness

    protected final MutableBoundedInterval gridThickness

  - ### bubbleSize

    protected final MutableBoundedInterval bubbleSize

- ## Constructor Details

  - ### DefaultTreePlotSettings

    public DefaultTreePlotSettings(TreeMapModel model, com.macrofocus.igraphics.CPColorFactory<Color> colorFactory, com.macrofocus.igraphics.CPFontFactory<Font> fontFactory)

- ## Method Details

  - ### getDefaultFieldSettings

    public TreeMapFieldSettings<Color,Font> getDefaultFieldSettings()

  - ### getFieldSettings

    public TreeMapFieldSettings<Color,Font> getFieldSettings(TreeMapField field)

  - ### getGroupByTreeMapFields

    public TreeMapField[] getGroupByTreeMapFields()
    Gets the model used to hold the list of fields to be use for grouping.
    Returns:
      the model of fields to be use for grouping

  - ### setGroupByTreeMapFields

    public void setGroupByTreeMapFields(TreeMapField[] fields)

  - ### getSizeTreeMapField

    public TreeMapField getSizeTreeMapField()
    Gets the model used to hold the field used to represent the size.
    Returns:
      the model holding the field that represent the size.

  - ### getColorTreeMapField

    public TreeMapField getColorTreeMapField()
    Gets the model used to hold the field used to represent the color.
    Returns:
      the model holding the field that represent the color.

  - ### getToolTipTreeMapFields

    public TreeMapField[] getToolTipTreeMapFields()
    Gets the model used to hold the list of fields to be use by the tooltip.
    Returns:
      the model of fields to be use by the tooltip.

  - ### setToolTipTreeMapFields

    public void setToolTipTreeMapFields(TreeMapField[] fields)

  - ### isHideFilterResults

    public Boolean isHideFilterResults()
    Gets the model used to indicate whether filtered nodes should be hidden.
    Returns:
      the model indicating whether filtered nodes should be hidden.

  - ### isHideSearchResults

    public Boolean isHideSearchResults()
    Gets the model used to indicate whether nodes that do not match the search criteria should be hidden.
    Returns:
      the model indicating whether nodes that do not match the search criteria should be hidden.

  - ### setGroupBy

    public void setGroupBy(int... columns)
    Defines the fields to be use for grouping.
    Parameters:
      `columns` - the indexes of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### setGroupByByNames

    public void setGroupByByNames(String... columnNames)
    Defines the fields to be use for grouping.
    Parameters:
      `columnNames` - the names of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### getShowPopup

    public boolean getShowPopup(TreeMapField field)
    Description copied from interface: `TreePlotSettings`
    Tells whether the specified field should be shown in the popup.
    Parameters:
      `field` - the field.
    Returns:
      true if it should be displayed, false otherwise.

  - ### setShowPopup

    public void setShowPopup(TreeMapField field, boolean show)
    Description copied from interface: `TreePlotSettings`
    Sets whether the specified field should be displayed or no in the popup.
    Parameters:
      `field` - the field.
      `show` - true if it should be displayed, false otherwise.

  - ### setSize

    public void setSize(int column)
    Defines the field to use to represent the size.
    Parameters:
      `column` - the index of the column to be used for representing the size
    See Also:
      - `DefaultTreeMapSettings.getSizeTreeMapField()`

  - ### setSizeTreeMapField

    public void setSizeTreeMapField(TreeMapField field)

  - ### setSizeByName

    public void setSizeByName(String columnName)
    Defines the field to use to represent the size.
    Parameters:
      `columnName` - the name of the column to be used for representing the size
    See Also:
      - `DefaultTreeMapSettings.getSizeTreeMapField()`

  - ### setColor

    public void setColor(int column)
    Defines the field to use for coloring.
    Parameters:
      `column` - the index of the column to be used for coloring
    See Also:
      - `DefaultTreeMapSettings.getColorTreeMapField()`

  - ### setColorByName

    public void setColorByName(String columnName)
    Defines the field to use for coloring.
    Parameters:
      `columnName` - the name of the column to be used for coloring
    See Also:
      - `DefaultTreeMapSettings.getColorTreeMapField()`

  - ### setColorTreeMapField

    public void setColorTreeMapField(TreeMapField field)

  - ### getDepth

    public Depth getDepth()
    Returns the depth to use to lay out the treemap.
    Returns:
      the depth to use
    See Also:
      - `DefaultTreeMapSettings.getDepth()`
      - `DepthFactory`

  - ### setDepth

    public void setDepth(Depth depth)
    Defines the depth to use to lay out the treemap.
    Parameters:
      `depth` - the depth to use
    See Also:
      - `DefaultTreeMapSettings.getDepth()`
      - `DepthFactory`

  - ### setRendering

    public void setRendering(Rendering rendering)
    Defines the rendering scheme to use to draw the treemap.
    Parameters:
      `rendering` - the rendering scheme to use
    See Also:
      - `DefaultTreeMapSettings.getRendering()`
      - `RenderingFactory`

  - ### setHideFilterResults

    public void setHideFilterResults(Boolean hideFilterResults)

  - ### setHideSearchResults

    public void setHideSearchResults(Boolean hideSearchResults)

  - ### getRendering

    public Rendering getRendering()
    Returns the rendering scheme to use to draw the treemap.
    Returns:
      the rendering scheme to use
    See Also:
      - `DefaultTreeMapSettings.getRendering()`
      - `RenderingFactory`

  - ### getTooltipBackground

    public com.macrofocus.igraphics.CPColor<Color> getTooltipBackground()
    Returns the background color to use for drawing the tooltips.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getTooltipBackground()`

  - ### setTooltipBackground

    public void setTooltipBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the tooltips.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getTooltipBackground()`

  - ### getProbingColor

    public com.macrofocus.igraphics.CPColor<Color> getProbingColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getProbingColor()`

  - ### setProbingColor

    public void setProbingColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getProbingColor()`

  - ### getSelectionColor

    public com.macrofocus.igraphics.CPColor<Color> getSelectionColor()
    Returns the color to use for drawing the borders.
    Returns:
      the color to be used
    See Also:
      - `DefaultTreeMapSettings.getSelectionColor()`

  - ### setSelectionColor

    public void setSelectionColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the borders.
    Parameters:
      `color` - the color to be used
    See Also:
      - `DefaultTreeMapSettings.getSelectionColor()`

  - ### getValue

    public Object getValue(String key)
    Description copied from interface: `TreePlotSettings`
    Gets the value of the specified property.
    Parameters:
      `key` - the property name
    Returns:
      the value

  - ### resetToDefaults

    public void resetToDefaults()

  - ### getBackground

    public com.macrofocus.igraphics.CPColor<Color> getBackground()
    Returns the backgroun color to use for drawing the treeplot.
    Returns:
      the color to be used

  - ### setBackground

    public void setBackground(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the background color to use for drawing the treeplot.
    Parameters:
      `color` - the color to be used

  - ### getBackgroundProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getBackgroundProperty()

  - ### getGridColor

    public com.macrofocus.igraphics.CPColor<Color> getGridColor()
    Returns the color to use for drawing the grid.
    Returns:
      the color to be used

  - ### setGridColor

    public void setGridColor(com.macrofocus.igraphics.CPColor<Color> color)
    Sets the color to use for drawing the grid.
    Parameters:
      `color` - the color to be used

  - ### getGridColorProperty

    public MutableProperty<com.macrofocus.igraphics.CPColor<Color>> getGridColorProperty()

  - ### getGridThicknessInterval

    public MutableBoundedInterval getGridThicknessInterval()

  - ### getGridThickness

    public Double getGridThickness()
    Returns the thickness used for drawing the grid.
    Returns:
      the thickness

  - ### setGridThickness

    public void setGridThickness(Double value)
    Sets the thickness used for drawing the grid.
    Parameters:
      `value` - the thickness

  - ### getGroupBy

    public Boolean getGroupBy()
    Returns whether the groups should be displayed.
    Returns:
      the font to be used

  - ### setGroupBy

    public void setGroupBy(Boolean groupBy)
    Sets whether the groups should be displayed.
    Parameters:
      `groupBy` - true to display the groups; false to display the leaves

  - ### groupByProperty

    public MutableProperty<Boolean> groupByProperty()

  - ### getBubbleSizeInterval

    public MutableBoundedInterval getBubbleSizeInterval()